# class Chef::Resource::Subversion

### Public Class Methods

new(name, run_context=nil) click to toggle source
Calls superclass method Chef::Resource::Scm.new

    # File lib/chef/resource/subversion.rb, line 26
    def initialize(name, run_context=nil)
      super
      @svn_arguments = '--no-auth-cache'
      @svn_info_args = '--no-auth-cache'
      @resource_name = :subversion
      @provider = Chef::Provider::Subversion
      allowed_actions << :force_export
    end

### Public Instance Methods

custom_exception_message(e) click to toggle source

Override exception to strip password if any, so it won’t appear in logs and different Chef notifications

    # File lib/chef/resource/subversion.rb, line 36
    def custom_exception_message(e)
      "#{self} (#{defined_at}) had an error: #{e.class.name}: #{svn_password ? e.message.gsub(svn_password, "[hidden_password]") : e.message}"
    end